Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.hups
Class NiedXingSequenceBase2

    java.lang.Object
      umontreal.iro.lecuyer.hups.PointSet
          umontreal.iro.lecuyer.hups.DigitalNet
              umontreal.iro.lecuyer.hups.DigitalNetBase2
                  umontreal.iro.lecuyer.hups.DigitalSequenceBase2
                      umontreal.iro.lecuyer.hups.NiedXingSequenceBase2

    public class NiedXingSequenceBase2

extends DigitalSequenceBase2

This class implements digital sequences based on the Niederreiter-Xing sequence in base 2.

Constructor Summary
`NiedXingSequenceBase2(int k, int w, int dim)` Constructs a new Niederreiter-Xing digital sequence in base 2 with n = 2k points and w output digits, in `dim` dimensions.

Method Summary
`void` | `extendSequence(int k)` Increases the number of points to n = 2k from now on.
`String` | `toString()` Formats a string that contains the information about the point set.

Methods inherited from class umontreal.iro.lecuyer.hups.DigitalSequenceBase2
`iteratorShift, iteratorShiftNoGray, toNet, toNetShiftCj`

Methods inherited from class umontreal.iro.lecuyer.hups.DigitalNetBase2
`addRandomShift, addRandomShift, clearRandomShift, getCoordinate, getCoordinateNoGray, iBinomialMatrixScramble, iBinomialMatrixScrambleFaurePermut, iBinomialMatrixScrambleFaurePermutAll, iBinomialMatrixScrambleFaurePermutDiag, iterator, iteratorNoGray, leftMatrixScramble, leftMatrixScrambleDiag, leftMatrixScrambleFaurePermut, leftMatrixScrambleFaurePermutAll, leftMatrixScrambleFaurePermutDiag, printGeneratorMatrices, printGeneratorMatricesTrans, rightMatrixScramble, stripedMatrixScramble, stripedMatrixScrambleFaurePermutAll`

Methods inherited from class umontreal.iro.lecuyer.hups.DigitalNet
`eraseOriginalGeneratorMatrices, leftMatrixScrambleRest, resetGeneratorMatrices, unrandomize`

Methods inherited from class umontreal.iro.lecuyer.hups.PointSet
`addRandomShift, addRandomShift, formatPoints, formatPoints, getDimension, getNumPoints, getStream, randomize, randomize, randomize, randomize, randomize, setStream`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NiedXingSequenceBase2

    public NiedXingSequenceBase2(int k,
                                 int w,
                                 int dim)

  Constructs a new Niederreiter-Xing digital sequence in base 2 with n = 2k points and w output digits, in `dim` dimensions. The generator matrices Cj are w×k and the numbers making the bit matrices are taken from Pirsic's site. The bit matrices from Pirsic's site are transposed to be consistent with SSJ, and at most 30 bits of the matrices are used. Restrictions: 0 <= k <= 30, k <= w, and `dim` <= 32.

  Parameters:
    `k` - there will be 2^k points
    `w` - number of output digits
    `dim` - dimension of the point set

Method Detail

### toString

    public String toString()

  Description copied from class: `PointSet`
  Formats a string that contains the information about the point set.

  Overrides:
    `toString` in class `DigitalNetBase2`
  Returns:
    string representation of the point set information

### extendSequence

    public void extendSequence(int k)

  Description copied from class: `DigitalSequenceBase2`
  Increases the number of points to n = 2k from now on.

  Specified by:
    `extendSequence` in class `DigitalSequenceBase2`
  Parameters:
    `k` - there will be 2^k points

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.